from sos.policies.redhat import RedHatPolicy, OS_RELEASE
import os

class UnionTechPolicy(RedHatPolicy):

    distro = "UnionTech"
    vendor = "the UnionTech Project"
    vendor_url = "https://www.chinauos.com/"

    def __init__(self, sysroot=None, init=None, probe_runtime=True,
                 remote_exec=None):
        super(UnionTechPolicy, self).__init__(sysroot=sysroot, init=init,
                                           probe_runtime=probe_runtime,
                                           remote_exec=remote_exec)

    @classmethod
    def check(cls, remote=''):
        
        if remote:
            return cls.distro in remote

        if not os.path.exists(OS_RELEASE):
            return False

        with open(OS_RELEASE, 'r') as f:
            for line in f:
                if line.startswith('NAME'):
                    if 'UnionTech' in line:
                        return True
        return False
